<?php

/*********************************************************************

 サークルカップリングクラウド表示プラグイン (2013/04/15)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_circle_couplingcloud()
{
	global $freo;

	//サークルカップリング取得
	$stmt = $freo->pdo->query('SELECT user_id, coupling FROM ' . FREO_DATABASE_PREFIX . 'plugin_circles WHERE coupling IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$circle_couplings = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['coupling']) as $coupling) {
			if ($coupling == '') {
				continue;
			}

			if (isset($circle_couplings[$coupling])) {
				$circle_couplings[$coupling]++;
			} else {
				$circle_couplings[$coupling] = 1;
			}
		}
	}

	ksort($circle_couplings, SORT_STRING);

	$data = '';
	foreach ($circle_couplings as $coupling => $count) {
		$data .= "$coupling,$count\n";
	}

	//サークルカップリング情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/circle_couplingcloud.log', $data) === false) {
		freo_error('サークルカップリング情報保存ファイル ' . FREO_FILE_DIR . 'plugins/circle_couplingcloud.log に書き込めません。');
	}

	return;
}

?>
